# EclipseLinkedResource

interface EclipseLinkedResource

Linked resources are files and folders that are stored in locations in the file system outside of the project's location.

#### Since

1.0-milestone-4

## Functions

getLocation
Link copied to clipboard
abstract fun getLocation(): String
The local file system absolute path of the target of the linked resource.
getLocationUri
Link copied to clipboard
abstract fun getLocationUri(): String
If the file is not in the local file system, this attribute contains the absolute URI of the resource in some backing file system.
getName
Link copied to clipboard
abstract fun getName(): String
The project-relative path of the linked resource as it appears in the workspace.
getType
Link copied to clipboard
abstract fun getType(): String
The resource type.